%global registry geronimo-osgi-registry
%global locator geronimo-osgi-locator

Name:             geronimo-osgi-support
Version:          1.1
Release:          %mkrel 6
Group:            Development/Java
Summary:          OSGI spec bundle support
License:          ASL 2.0 and W3C
URL:              https://geronimo.apache.org/

Source0:          https://repo1.maven.org/maven2/org/apache/geronimo/specs/%{name}/%{version}/%{name}-%{version}-source-release.tar.gz
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    osgi-core
BuildRequires:    osgi-compendium
BuildRequires:    geronimo-parent-poms
BuildRequires:    maven-resources-plugin


Provides:         geronimo-osgi-locator = %{version}-%{release}
Provides:         geronimo-osgi-registry = %{version}-%{release}

%description
This project is a set of bundles and integration tests for implementing
OSGi-specific lookup in the Geronimo spec projects.


%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE NOTICE
# Use parent pom files instead of unavailable 'genesis-java5-flava'
%pom_set_parent org.apache.geronimo.specs:specs:1.4

# Use latest OSGi implementation
%pom_change_dep -r :org.osgi.core org.osgi:osgi.core
%pom_change_dep -r :org.osgi.compendium org.osgi:osgi.cmpn

# Remove itests due to unavailable dependencies
%pom_disable_module geronimo-osgi-itesta
%pom_disable_module geronimo-osgi-itestb
%pom_disable_module geronimo-osgi-registry-itests
%pom_disable_module geronimo-osgi-locator-itests

%pom_xpath_inject "pom:plugin[pom:artifactId[text()='maven-bundle-plugin']]
                       /pom:configuration/pom:instructions" "
    <Export-Package>!*</Export-Package>" geronimo-osgi-locator

# preserve compatibility locations for jars
%mvn_file ':{*}' @1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.1-6.mga9
+ Revision: 1828356
- Mageia 9 Mass Rebuild

* Sat Sep 05 2020 daviddavid <daviddavid> 1.1-5.mga8
+ Revision: 1622286
- Rebuilt for JDK-11

* Sun Feb 16 2020 umeabot <umeabot> 1.1-4.mga8
+ Revision: 1534255
- Mageia 8 Mass Rebuild

* Tue Oct 01 2019 daviddavid <daviddavid> 1.1-3.mga8
+ Revision: 1448531
- Rebuild against OSGi R7 APIs

* Thu Sep 20 2018 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1278403
- Mageia 7 Mass Rebuild

* Tue Mar 27 2018 kekepower <kekepower> 1.1-1.mga7
+ Revision: 1212927
- Update to version 1.1

* Wed Mar 02 2016 neoclust <neoclust> 1.0-19.mga6
+ Revision: 982113
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0-18.mga6
+ Revision: 976274
- First rebuild of the java stack
- sync package geronimo-osgi-support with fedora
- imported package geronimo-osgi-support

* Wed Oct 15 2014 umeabot <umeabot> 1.0-15.mga5
+ Revision: 744117
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dmorgan <dmorgan> 1.0-13.mga4
+ Revision: 558824
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-11.mga3
+ Revision: 351459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dmorgan <dmorgan> 1.0-10.mga3
+ Revision: 340160
- Build with maven3
- Add missing patches
- Fix use of %%mkrel
- Fix java requires
- Switch to fedora specfile because we used unexisint macros from jpp

* Tue Jul 19 2011 dmorgan <dmorgan> 1.0-4.mga2
+ Revision: 126321
- Review OK
+ gil <gil>
- imported package geronimo-osgi-support

